Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.html
Class JHCloseTag

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.html.JHElement
          edu.harvard.hul.ois.jhove.module.html.JHCloseTag

    public class JHCloseTag

extends JHElement

Representation of a parsed HTML close tag.

Author:
  Gary McGath

Field Summary
`java.lang.String` | `_name`

Fields inherited from class edu.harvard.hul.ois.jhove.module.html.JHElement
`_column, _line`

Constructor Summary
`JHCloseTag(java.util.List elements, java.lang.String name, int line, int column)` Constructor.

Method Summary
`java.lang.String` | `getName()` Returns the tag's name.

Methods inherited from class edu.harvard.hul.ois.jhove.module.html.JHElement
`getColumn, getEntities, getLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _name

    public java.lang.String _name

Constructor Detail

### JHCloseTag

    public JHCloseTag(java.util.List elements,
                      java.lang.String name,
                      int line,
                      int column)

  Constructor.

  Parameters:
    `elements` - The list of parsed elements, to which this gets added.
    `name` - The name of the tag
    `line` - Line number, for information reporting
    `column` - Line number, for information reporting

Method Detail

### getName

    public java.lang.String getName()

  Returns the tag's name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD